Subject: Re: PATCH: Another mpc8xx watchdog driver !!

From: Dan Malek <[email-masked]>
Date: Tue, 06 Jan 2004 19:11:20 -0500

> In message <[email-masked]> you wrote:
>
>>>Do you really mean RTC here???
>>
>>Yes - the 866 and derivatives (859 etc) do NOT have a Real Time Clock
>>block. This means that hooking the RTC interrupt to 'kick the dog' is
>>rather difficult :-))

Why would you want to do that?  Not a very effective watchdog
timer.  Even in the most hopelessly crashed system the RTC or other
timer interrupts usually continue to operate.  An effective watchdog
needs to be managed throughout the whole boot process and handed off
along the way to some application, such that any system error will
cause the application to fail to kick the timer.

Good luck :-)

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/